FDUPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class FDUPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor
              com.bbn.openmap.util.propertyEditor.FDUPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyEditor, java.util.EventListener

    public class FDUPropertyEditor

extends FilePropertyEditor

FDUPropertyEditor - File, Directory and URL PropertyEditor. This is a PropertyEditor that provides a text field where a URL, file path or directory path can be entered. There is also a button that brings up a file chooser, and anything chosen *replaces* the contents in the text field.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button, textField`

Constructor Summary
`FDUPropertyEditor()` Create FDUDirectoryPropertyEditor.

Method Summary
`int` | `getFileSelectionMode()` Internal callback method that can be overridden by subclasses.
`boolean` | `isTextFieldEditable()` Internal callback method that can be overridden by subclasses.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`actionPerformed, cleanUpName, getAsText, getButtonTitle, getCustomEditor, getFileChooser, getLastLocation, isMultiSelectEnabled, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDUPropertyEditor

    public FDUPropertyEditor()

  Create FDUDirectoryPropertyEditor.

Method Detail

### isTextFieldEditable

    public boolean isTextFieldEditable()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `isTextFieldEditable` in class `FilePropertyEditor`
  Returns:
    true for FDUPropertyEditor.

### getFileSelectionMode

    public int getFileSelectionMode()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `getFileSelectionMode` in class `FilePropertyEditor`
  Returns:
    JFileChooser.FILES_AND_DIRECTORIES for FDUPropertyEditor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details